[Index]
Data model for user dashboards.
Model ref.: data/Dashboard
The full URL would include the host-proxy name: https://[host-proxy].
Variables are enclosed in square brackets.
{
"$schema": "http://json-schema.org/draft-03/schema",
"type": "object",
"properties": {
"name": {
"title": "Name",
"type": "string",
"required": true,
"maxLength": 1024
},
"description": {
"title": "Description",
"type": "string",
"maxLength": 1024
},
"readonly": {
"title": "Read Only",
"type": "boolean"
},
"hide_time_picker": {
"title": "Hide Time Picker",
"type": "boolean"
},
"default_date_range": {
"title": "Default Date Range",
"description": "Default Date Range",
"type": "object",
"properties": {
"range": {
"title": "Range",
"type": "string",
"maxLength": 1024
},
"_lowerTs": {
"title": "_lowerTs",
"type": "number"
},
"_upperTs": {
"title": "_upperTs",
"type": "number"
},
"fromFriendlyString": {
"title": "fromFriendlyString",
"type": "string",
"maxLength": 1024
},
"toFriendlyString": {
"title": "toFriendlyString",
"type": "string",
"maxLength": 1024
}
}
},
"hide_datasource_selector": {
"title": "Hide Datasource Selector",
"type": "boolean"
},
"reporter_resource_data": {
"title": "Reporter Resource",
"description": "Returns the reporter resource data",
"type": "string",
"maxLength": 1024
},
"field_grouping_data": {
"title": "Field Grouping",
"description": "Returns the dashboard field grouping",
"type": "string",
"maxLength": 1024
},
"color_mappings_data": {
"title": "Color Mappings",
"description": "Returns the dashboard color mappings",
"type": "string",
"maxLength": 1024
},
"datasource_data": {
"title": "Data Source",
"description": "Returns the dashboard datasource",
"type": "string",
"maxLength": 1024
},
"widgets": {
"title": "Widgets",
"description": "List of widgets.",
"type": "array",
"items": {
"type": "object",
"properties": {
"alignmentData": {
"title": "Alignment Data",
"type": "any"
},
"guid": {
"title": "ID",
"type": "string",
"maxLength": 1024
},
"transparent": {
"title": "Transparent",
"type": "boolean"
},
"condition": {
"title": "Condition",
"type": "string",
"maxLength": 1024
},
"type": {
"title": "Type",
"type": "string",
"choices": [
{
"value": "text",
"title": "Text"
},
{
"value": "links",
"title": "Links"
},
{
"value": "counters",
"title": "Counters"
},
{
"value": "saved-search",
"title": "Saved Search"
},
{
"value": "table",
"title": "Table"
},
{
"value": "line-chart",
"title": "Line Chart"
},
{
"value": "column-chart",
"title": "Column Chart"
},
{
"value": "pie-chart",
"title": "Pie Chart"
},
{
"value": "gauge-chart",
"title": "Gauge Chart"
},
{
"value": "chord-chart",
"title": "Chord Chart"
}
],
"maxLength": 1024
},
"modelType": {
"title": "Model Type",
"type": "string",
"format": "uri",
"target": "/api/choices/?format=json&hierarchy=[hierarchy]&auth_token=[authtoken],
"maxLength": 1024,
"target_model_type": "",
"choices": []
},
"data": {
"title": "Widget Data",
"type": "any"
}
}
}
}
},
"schema_version": "0.9"
}
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get the GUI Add form. | GET | /api/data/Dashboard/add/ |
|
The GUI Add form of data/Dashboard as JSON |
The API call to the /add/ URL can only be made from a hierarchy that allows the model type to be added. The actions in the response shows the url for the POST API call to create an instance.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Create | POST | /api/data/Dashboard | hierarchy=[hierarchy] |
|
tool/Transaction/[trans pkid]to inspect the created resource and its instance pkid.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Bulk delete [pkid1],[pkid2]... | DELETE | /api/data/Dashboard/ | hierarchy=[hierarchy] | {"hrefs":["/api/data/Dashboard/[pkid1]", "/api/data/Dashboard/[pkid2]", ...]} |
GET http://[host-proxy]/api/data/Dashboard/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Get a selected [export_format] of the schema and instances [pkid1], [pkid2],... of data/Dashboard; optionally with tag_version at [version] and Configuration Template as [configtemplate]. | POST | /api/data/Dashboard/export/ |
|
{ "hrefs":["/api/data/Dashboard/[pkid1]", "/api/data/Dashboard/[pkid2]",...]}} |
For export_format=json, the response is a time stamped zip file of data in JSON as in the system database. Item properties such as strings that are empty or Boolean values that are not set, are not included. The filename in the response is of the format as the example:
Content-Disposition: attachment; filename=export_2013-05-17_14:20:19.186444.json.zip
Content-Language:en
Content-Type:application/x-zip
For export_format=raw_xlsx, the response is a MS Excel spreadsheet with columns corresponding to the JSON format export and a response filename format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=xlsx, the response is a MS Excel spreadsheet, arranged by any Field Display Policies that apply. The columns correspond with those of a Bulk Load Template export sheet. The response filename format is:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_formatted_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
The XLSX format can be used to bulk load instances of data/Dashboard and the JSON format can be used to import instances of data/Dashboard.
GET http://[host-proxy]/api/data/Dashboard/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get a compressed format of the Bulk Load spreadsheet template for data/Dashboard | POST | /api/data/Dashboard/export_bulkload_template/ |
|
The response is an attachment of the format: filetype_bulkloadsheet.xlsx.gz |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Tag | PATCH | /api/data/Dashboard/+tag/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| List | GET | /api/data/Dashboard/ |
|
The data/Dashboard schema and all instances as JSON. |
(The list will return 0 to 3 data/Dashboard instances)
{
"pagination": {
"skip": 0,
"limit": 3,
"maximum_limit": 2000,
"total": 144,
"total_limit": null,
"order_by": "name",
"direction": "asc",
"current": "/api/data/Dashboard/?skip=0&limit=3&order_by=name&direction=asc&traversal=fulltree"
},
"operations": [
"add",
"bulk_update_form",
"list",
"update",
"transform",
"migration",
"remove",
"export",
"help",
"configuration_template",
"field_display_policy",
"get",
"export_bulkload_template"
],
"meta": {
"model_type": "data/Dashboard",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "description",
"title": "Description"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "",
"business_key": {
"unique": [
"name"
],
"hierarchy": true
},
"api_version": "21.2",
"cached": true,
"references": {
"children": [],
"parent": [
{
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101",
"pkid": "6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": []
},
"model_specific_actions": [
"get",
"add",
"remove",
"update",
"list",
"clone",
"export",
"export_bulkload_template",
"export_dashboard_data",
"help",
"import",
"tag"
],
"schema_version": "0.9",
"actions": [
{
"add": {
"method": "GET",
"class": "add",
"href": "/api/data/Dashboard/add/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Add"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/Dashboard/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Delete"
}
},
{
"export": {
"method": "POST",
"class": "export",
"href": "/api/data/Dashboard/export/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/?auth_token=[authtoken],
"submit": "payload"
}
},
{
"export_bulkload_template": {
"method": "POST",
"class": "bulkload_template",
"href": "/api/data/Dashboard/export_bulkload_template/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export Bulk Load Template"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/Dashboard/+tag/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/?auth_token=[authtoken]
}
},
{
"list": {
"method": "GET",
"class": "list",
"href": "/api/data/Dashboard/?hierarchy=[hierarchy]",
"support_async": false,
"title": "List"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/Dashboard/help?hierarchy=[hierarchy]",
"support_async": false,
"title": "Help"
}
}
]
},
"resources": [
{
"data": {
"name": "admin_dashboard",
"widgets": [
{
"alignmentData": {
"cols": 5,
"rows": 5,
"x": 10,
"y": 0
},
"type": "links",
"modelType": "data/DashboardWidgetLinks",
"data": {
"title": "Network Management",
"links": [
{
"link_text": "Manage Cisco Call Managers",
"display": "list",
"type": "data/CallManager",
"filter_options": [],
"configurable_options": []
},
{
"link_text": "Manage Cisco Unity Connection",
"display": "list",
"type": "data/UnityConnection",
"filter_options": [],
"configurable_options": []
}
],
"timezone": "Africa/Johannesburg"
}
},
{
"alignmentData": {
"cols": 5,
"rows": 5,
"x": 5,
"y": 0
},
"type": "links",
"modelType": "data/DashboardWidgetLinks",
"data": {
"title": "Dialplan Management",
"links": [
{
"link_text": "Manage Partitions",
"display": "list",
"type": "device/cucm/RoutePartition",
"filter_options": [],
"configurable_options": []
},
{
"link_text": "Manage Calling Search Spaces",
"display": "list",
"type": "device/cucm/Css",
"filter_options": [],
"configurable_options": []
}
],
"timezone": "Africa/Johannesburg"
}
},
{
"alignmentData": {
"cols": 5,
"rows": 5,
"x": 0,
"y": 0
},
"type": "links",
"modelType": "data/DashboardWidgetLinks",
"data": {
"title": "Site Management",
"links": [
{
"link_text": "Manage Subscribers",
"icon": "people",
"display": "list",
"type": "device/cucm/User",
"filter_options": [],
"configurable_options": []
},
{
"link_text": "Manage Users",
"icon": "people",
"display": "list",
"type": "data/User",
"filter_options": [],
"configurable_options": []
}
],
"timezone": "Africa/Johannesburg"
}
}
],
"pkid": "69ee2ebc76a8a1f92ddfdec9",
"hierarchy_friendly_name": "sys (System)",
"hierarchy_path": "sys"
},
"meta": {
"model_type": "data/Dashboard",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "description",
"title": "Description"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [
"base",
"core",
"dashboard"
],
"title": "admin_dashboard",
"business_key": {
"unique": [
"name"
],
"hierarchy": true
},
"api_version": "21.2",
"cached": true,
"references": {
"parent": [
{
"pkid": "6t0ggef2c0deab00hb595101",
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [],
"owner": [
{
"pkid": ""
}
],
"self": [
{
"href": "/api/data/Dashboard/69ee2ebc76a8a1f92ddfdec8/",
"pkid": "69ee2ebc76a8a1f92ddfdec8"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee2ebc76a8a1f92ddfdec8"
],
"schema_version": "0.9",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/Dashboard/69ee2ebc76a8a1f92ddfdec8/",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/Dashboard/69ee2ebc76a8a1f92ddfdec8/",
"support_async": true,
"title": "Delete"
}
},
{
"clone": {
"method": "GET",
"class": "clone",
"href": "/api/data/Dashboard/69ee2ebc76a8a1f92ddfdec8/clone/?schema=&schema_rules=true",
"support_async": false,
"title": "Clone"
}
},
{
"import": {
"method": "POST",
"class": "import",
"href": "/api/data/Dashboard/69ee2ebc76a8a1f92ddfdec8/import/",
"support_async": true,
"title": "Import"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/Dashboard/69ee2ebc76a8a1f92ddfdec8/export/",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/",
"submit": "payload"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/Dashboard/69ee2ebc76a8a1f92ddfdec8/+tag/",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/Dashboard/69ee2ebc76a8a1f92ddfdec8/",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/Dashboard/69ee2ebc76a8a1f92ddfdec8/help",
"support_async": false,
"title": "Help"
}
},
{
"export_dashboard_data": {
"method": "POST",
"class": "custom",
"href": "/api/data/Dashboard/69ee2ebc76a8a1f92ddfdec8/+export_dashboard_data/",
"support_async": true,
"title": "Export Dashboard Data"
}
}
],
"summary": "false"
},
"pkid": "69ee2ebc76a8a1f92ddfdec8"
},
{
"data": {
"name": "All Alerts Overview",
"description": "UC Monitoring - Overview of alerts and alerting assets",
"default_date_range": {
"range": "Last 7 Days",
"_lowerTs": 1769990400,
"_upperTs": 1770637921,
"fromFriendlyString": "Feb 02 2026 12:00:00 am",
"toFriendlyString": "Feb 09 2026 11:52:01 am"
},
"widgets": [
{
"alignmentData": {
"cols": 13,
"rows": 6,
"x": 10,
"y": 10
},
"type": "chart-line",
"modelType": "data/DashboardWidgetChartLine",
"data": {
"_groupingLimit": "0",
"_limit": 0,
"_lowerTs": 1770876000,
"_offset": 0,
"_outputType": "highcharts",
"_upperTs": 1771538705,
"allowDatasourceSelection": true,
"automate_counters": [],
"datasource": "assurance",
"datasourceInstance": null,
"drilldowns": {
"drilldownFields": [
{
"ruleName": "SEVERITY"
}
],
"drilldownOption": 1,
"filterOption": "IN"
},
"fields": [
{
"guid": "2b781b54",
"headerName": "Severity",
"operation": "Grouping Count",
"ruleName": "SEVERITY",
"ruleType": 0,
"ruleTypeString": "Text",
"valueType": 0
}
],
"filters": [],
"interval": 3,
"resource": "Assurance Arbitrator Alert Log Trend",
"settings": {
"chartColorMapping": "Alert Severity",
"legendPlacement": "bottom",
"overTime": true,
"showLabels": false,
"showLegend": true
},
"sorts": [],
"timezone": "America/Chicago",
"title": "Alert Trend",
"type": 0
}
},
{
"alignmentData": {
"cols": 10,
"rows": 5,
"x": 0,
"y": 0
},
"type": "table",
"modelType": "data/DashboardWidgetTable",
"data": {
"_groupingLimit": "0",
"_limit": "25",
"_lowerTs": 1770876000,
"_offset": "0",
"_outputType": "highcharts",
"_upperTs": 1771538116,
"allowDatasourceSelection": true,
"automateFields": [],
"automate_table_resource": {
"filter_options": []
},
"datasource": "assurance",
"datasourceInstance": null,
"drilldowns": {
"drilldownFields": [
{
"ruleName": "ASSET GROUP"
}
],
"drilldownOption": 1,
"filterOption": "IN",
"modelType": "data/AssuranceArbitratorAlertLogTrend"
},
"fieldDisplayOption": null,
"fields": [
{
"guid": "5e237867",
"headerName": "Asset Group",
"operation": "Grouping Count",
"ruleName": "ASSET GROUP",
"ruleType": 0,
"ruleTypeString": "Text",
"valueType": 0
},
{
"guid": "1993bfe44",
"headerName": "Critical",
"operation": "Value",
"ruleName": "Severity Critical Count",
"ruleType": 6,
"ruleTypeString": "Calculated - Integer",
"valueType": 1
},
{
"guid": "47ddc2a5",
"headerName": "Major",
"operation": "Value",
"ruleName": "Severity Major Count",
"ruleType": 6,
"ruleTypeString": "Calculated - Integer",
"valueType": 1
},
{
"guid": "4aa966c",
"headerName": "Minor",
"operation": "Value",
"ruleName": "Severity Minor Count",
"ruleType": 6,
"ruleTypeString": "Calculated - Integer",
"valueType": 1
},
{
"guid": "12bb0115c",
"headerName": "Informational",
"operation": "Value",
"ruleName": "Severity Informational Count",
"ruleType": 6,
"ruleTypeString": "Calculated - Integer",
"valueType": 1
}
],
"filters": [
{
"filterValue": "(^$)",
"guid": "45da3291",
"operation": "!~*",
"ruleName": "ASSET GROUP"
}
],
"interval": 3,
"resource": "Assurance Arbitrator Alert Log Trend",
"settings": {
"autoAdjustColumns": 1,
"renderers": [
{
"allowEmpty": false,
"allowTruthy": false,
"bbType": 0,
"city": "",
"dateType": 1,
"factor": 1,
"floatPrecision": 2,
"fontSize": 12,
"fontWeight": "normal",
"formatType": 0,
"guid": "5e237867",
"numType": 0,
"numberBase": "Base 10 (1000)",
"prefix": "",
"region": "",
"ruleName": "ASSET GROUP",
"ruleType": 0,
"suffix": "",
"valueType": 0
},
{
"align": 1,
"allowEmpty": false,
"allowTruthy": false,
"bbType": 0,
"city": "",
"dateType": 1,
"factor": 1,
"floatPrecision": 0,
"fontSize": 12,
"fontWeight": "normal",
"formatType": 0,
"guid": "1993bfe44",
"numType": 0,
"numberBase": "Base 10 (1000)",
"prefix": "",
"region": "",
"ruleName": "Severity Critical Count",
"ruleType": 6,
"suffix": "",
"valueType": 1
},
{
"align": 1,
"allowEmpty": false,
"allowTruthy": false,
"bbType": 0,
"city": "",
"dateType": 1,
"factor": 1,
"floatPrecision": 0,
"fontSize": 12,
"fontWeight": "normal",
"formatType": 0,
"guid": "47ddc2a5",
"numType": 0,
"numberBase": "Base 10 (1000)",
"prefix": "",
"region": "",
"ruleName": "Severity Major Count",
"ruleType": 6,
"suffix": "",
"valueType": 1
},
{
"align": 1,
"allowEmpty": false,
"allowTruthy": false,
"bbType": 0,
"city": "",
"dateType": 1,
"factor": 1,
"floatPrecision": null,
"fontSize": 12,
"fontWeight": "normal",
"formatType": 0,
"guid": "4aa966c",
"numType": 0,
"numberBase": "Base 10 (1000)",
"prefix": "",
"region": "",
"ruleName": "Severity Minor Count",
"ruleType": 6,
"suffix": "",
"valueType": 1
},
{
"align": 1,
"allowEmpty": false,
"allowTruthy": false,
"bbType": 0,
"city": "",
"dateType": 1,
"factor": 1,
"floatPrecision": null,
"fontSize": 12,
"fontWeight": "normal",
"formatType": 0,
"guid": "12bb0115c",
"numType": 0,
"numberBase": "Base 10 (1000)",
"prefix": "",
"region": "",
"ruleName": "Severity Informational Count",
"ruleType": 6,
"suffix": "",
"valueType": 1
}
],
"selectionType": 1,
"sorting": 0,
"useDayPagination": false
},
"sorts": [],
"timezone": "America/Chicago",
"title": "Asset Group Selection",
"type": 16
}
},
{
"alignmentData": {
"cols": 13,
"rows": 5,
"x": 10,
"y": 0
},
"type": "counters",
"modelType": "data/DashboardWidgetCounters",
"data": {
"_groupingLimit": "0",
"_limit": "0",
"_lowerTs": 1770876000,
"_offset": "0",
"_outputType": "highcharts",
"_upperTs": 1771538116,
"allowDatasourceSelection": true,
"automate_counters": [],
"datasource": "assurance",
"datasourceInstance": null,
"drilldowns": {
"drilldownFields": [
{
"ruleName": "Severity Critical Count"
},
{
"ruleName": "Severity Major Count"
},
{
"ruleName": "Severity Minor Count"
},
{
"ruleName": "Severity Informational Count"
}
],
"drilldownOption": 1,
"filterOption": "IN"
},
"fields": [
{
"guid": "1d1256104",
"headerName": "Critical Count",
"operation": "Value",
"ruleName": "Severity Critical Count",
"ruleType": 6,
"ruleTypeString": "Calculated - Integer",
"valueType": 1
},
{
"guid": "1050e7edb",
"headerName": "Major Count",
"operation": "Value",
"ruleName": "Severity Major Count",
"ruleType": 6,
"ruleTypeString": "Calculated - Integer",
"valueType": 1
},
{
"guid": "1dd2237ec",
"headerName": "Minor Count",
"operation": "Value",
"ruleName": "Severity Minor Count",
"ruleType": 6,
"ruleTypeString": "Calculated - Integer",
"valueType": 1
},
{
"guid": "12e6a6d27",
"headerName": "Informational Count",
"operation": "Value",
"ruleName": "Severity Informational Count",
"ruleType": 6,
"ruleTypeString": "Calculated - Integer",
"valueType": 1
}
],
"filters": [],
"resource": "Assurance Arbitrator Alert Log Trend",
"settings": {
"colorKey": "name_key",
"renderers": [
{
"guid": "1d1256104",
"ruleName": "Severity Critical Count",
"showName": true
},
{
"guid": "1050e7edb",
"ruleName": "Severity Major Count",
"showName": true
},
{
"guid": "1dd2237ec",
"ruleName": "Severity Minor Count",
"showName": true
},
{
"guid": "12e6a6d27",
"ruleName": "Severity Informational Count",
"showName": true
}
],
"textColorMapping": "Alert Severity"
},
"sorts": [],
"timezone": "America/Chicago",
"title": "Alerts by Severity",
"type": 7
}
},
{
"alignmentData": {
"cols": 23,
"rows": 5,
"x": 0,
"y": 5
},
"type": "table",
"modelType": "data/DashboardWidgetTable",
"data": {
"_groupingLimit": "0",
"_limit": "25",
"_lowerTs": 1770876000,
"_offset": "0",
"_outputType": "highcharts",
"_upperTs": 1771538116,
"allowDatasourceSelection": true,
"automateFields": [],
"automate_table_resource": {
"filter_options": []
},
"datasource": "assurance",
"datasourceInstance": null,
"drilldowns": {
"drilldownFields": [
{
"ruleName": "ASSET GROUP"
},
{
"ruleName": "ASSET IPADDRESS"
},
{
"ruleName": "ASSET NAME"
}
],
"drilldownOption": 1,
"filterOption": "IN",
"modelType": "data/AssuranceArbitratorAlertLogTrend"
},
"fieldDisplayOption": null,
"fields": [
{
"guid": "16128cb73",
"headerName": "Log Date",
"operation": "Grouping Count",
"ruleName": "LOG_DATE",
"ruleType": 4,
"ruleTypeString": "Date",
"valueType": 4
},
{
"guid": "15fcf003e",
"headerName": "Asset Group",
"operation": "Grouping Count",
"ruleName": "ASSET GROUP",
"ruleType": 0,
"ruleTypeString": "Text",
"valueType": 0
},
{
"guid": "c49fbefb",
"headerName": "Asset Name",
"operation": "Grouping Count",
"ruleName": "ASSET NAME",
"ruleType": 0,
"ruleTypeString": "Text",
"valueType": 0
},
{
"guid": "10b26af20",
"headerName": "Asset Ipaddress",
"operation": "Grouping Count",
"ruleName": "ASSET IPADDRESS",
"ruleType": 0,
"ruleTypeString": "Text",
"valueType": 0
},
{
"guid": "21e0f07ff",
"headerName": "Severity",
"operation": "Grouping Count",
"ruleName": "SEVERITY",
"ruleType": 0,
"ruleTypeString": "Text",
"valueType": 0
},
{
"guid": "12315cea3",
"headerName": "Policy Name",
"operation": "Grouping Count",
"ruleName": "POLICY_NAME",
"ruleType": 0,
"ruleTypeString": "Text",
"valueType": 0
},
{
"guid": "1e06ed9af",
"headerName": "Rule Name",
"operation": "Grouping Count",
"ruleName": "RULE_NAME",
"ruleType": 0,
"ruleTypeString": "Text",
"valueType": 0
},
{
"guid": "93d3d18d",
"headerName": "Alert Message",
"operation": "Grouping Count",
"ruleName": "ALERT_MESSAGE",
"ruleType": 0,
"ruleTypeString": "Text",
"valueType": 0
},
{
"guid": "4572d3ce",
"headerName": "Reference Id",
"operation": "Grouping Count",
"ruleName": "REFERENCE_ID",
"ruleType": 0,
"ruleTypeString": "Text",
"valueType": 0
}
],
"filters": [],
"interval": 3,
"resource": "Assurance Arbitrator Alert Log Trend",
"settings": {
"autoAdjustColumns": 0,
"hideCount": true,
"renderers": [
{
"allowEmpty": false,
"allowTruthy": false,
"bbType": 0,
"city": "",
"dateType": 1,
"factor": 1,
"floatPrecision": 2,
"fontSize": 12,
"fontWeight": "normal",
"formatType": 0,
"guid": "15fcf003e",
"numType": 0,
"numberBase": "Base 10 (1000)",
"prefix": "",
"region": "",
"ruleName": "ASSET GROUP",
"ruleType": 0,
"suffix": "",
"valueType": 0
},
{
"allowEmpty": false,
"allowTruthy": false,
"bbType": 0,
"city": "",
"dateType": 1,
"factor": 1,
"floatPrecision": 2,
"fontSize": 12,
"fontWeight": "normal",
"formatType": 0,
"guid": "10b26af20",
"numType": 0,
"numberBase": "Base 10 (1000)",
"prefix": "",
"region": "",
"ruleName": "ASSET IPADDRESS",
"ruleType": 0,
"suffix": "",
"valueType": 0
},
{
"allowEmpty": false,
"allowTruthy": false,
"bbType": 0,
"city": "",
"dateType": 1,
"factor": 1,
"floatPrecision": 2,
"fontSize": 12,
"fontWeight": "normal",
"formatType": 0,
"guid": "93d3d18d",
"numType": 0,
"numberBase": "Base 10 (1000)",
"prefix": "",
"region": "",
"ruleName": "ALERT_MESSAGE",
"ruleType": 0,
"suffix": "",
"valueType": 0
},
{
"allowEmpty": false,
"allowTruthy": false,
"bbType": 0,
"city": "",
"dateType": 1,
"factor": 1,
"floatPrecision": 2,
"fontSize": 12,
"fontWeight": "normal",
"formatType": 0,
"guid": "16128cb73",
"numType": 0,
"numberBase": "Base 10 (1000)",
"prefix": "",
"region": "",
"ruleName": "LOG_DATE",
"ruleType": 4,
"suffix": "",
"valueType": 4
},
{
"allowEmpty": false,
"allowTruthy": false,
"bbType": 0,
"city": "",
"dateType": 1,
"factor": 1,
"floatPrecision": 2,
"fontSize": 12,
"fontWeight": "normal",
"formatType": 3,
"guid": "21e0f07ff",
"numType": 0,
"numberBase": "Base 10 (1000)",
"prefix": "",
"region": "",
"ruleName": "SEVERITY",
"ruleType": 0,
"suffix": "",
"textColorMapping": "Alert Severity",
"valueType": 0
},
{
"allowEmpty": false,
"allowTruthy": false,
"bbType": 0,
"city": "",
"dateType": 1,
"factor": 1,
"floatPrecision": 2,
"fontSize": 12,
"fontWeight": "normal",
"formatType": 0,
"guid": "4572d3ce",
"numType": 0,
"numberBase": "Base 10 (1000)",
"prefix": "",
"region": "",
"ruleName": "REFERENCE_ID",
"ruleType": 0,
"suffix": "",
"valueType": 0
},
{
"allowEmpty": false,
"allowTruthy": false,
"bbType": 0,
"city": "",
"dateType": 1,
"factor": 1,
"floatPrecision": 2,
"fontSize": 12,
"fontWeight": "normal",
"formatType": 0,
"guid": "12315cea3",
"numType": 0,
"numberBase": "Base 10 (1000)",
"prefix": "",
"region": "",
"ruleName": "POLICY_NAME",
"ruleType": 0,
"suffix": "",
"valueType": 0
},
{
"allowEmpty": false,
"allowTruthy": false,
"bbType": 0,
"city": "",
"dateType": 1,
"factor": 1,
"floatPrecision": 2,
"fontSize": 12,
"fontWeight": "normal",
"formatType": 0,
"guid": "1e06ed9af",
"numType": 0,
"numberBase": "Base 10 (1000)",
"prefix": "",
"region": "",
"ruleName": "RULE_NAME",
"ruleType": 0,
"suffix": "",
"valueType": 0
},
{
"allowEmpty": false,
"allowTruthy": false,
"bbType": 0,
"city": "",
"dateType": 1,
"factor": 1,
"floatPrecision": 2,
"fontSize": 12,
"fontWeight": "normal",
"formatType": 0,
"guid": "c49fbefb",
"numType": 0,
"numberBase": "Base 10 (1000)",
"prefix": "",
"region": "",
"ruleName": "ASSET NAME",
"ruleType": 0,
"suffix": "",
"valueType": 0
}
],
"selectionType": 1,
"sorting": 0,
"useDayPagination": false
},
"sorts": [],
"timezone": "America/Chicago",
"title": "Alerting Assets Detailed",
"type": 16
}
},
{
"alignmentData": {
"cols": 10,
"rows": 6,
"x": 0,
"y": 10
},
"type": "chart-column",
"modelType": "data/DashboardWidgetChartColumn",
"data": {
"_groupingLimit": "10",
"_limit": 0,
"_lowerTs": 1770876000,
"_offset": 0,
"_outputType": "highcharts",
"_upperTs": 1771538116,
"allowDatasourceSelection": true,
"datasource": "assurance",
"datasourceInstance": null,
"drilldowns": {
"drilldownFields": [],
"drilldownOption": 0,
"filterOption": "IN"
},
"fields": [
{
"guid": "142ba06f1",
"headerName": "Asset Name",
"operation": "Grouping Count",
"ruleName": "ASSET NAME",
"ruleType": 0,
"ruleTypeString": "Text",
"valueType": 0
}
],
"filters": [],
"interval": 3,
"resource": "Assurance Arbitrator Alert Log Trend",
"settings": {
"axisXType": 0,
"label_font_size": 11,
"label_font_weight": "bold",
"legendPlacement": "bottom",
"legend_font_size": 11,
"legend_font_weight": "normal",
"numericPrecision": 0,
"showLegend": true,
"stackType": 0
},
"sorts": [],
"timezone": "America/Chicago",
"title": "Top 10 Problem Assets",
"type": 1
}
},
{
"alignmentData": {
"cols": 12,
"rows": 6,
"x": 0,
"y": 16
},
"type": "table",
"modelType": "data/DashboardWidgetTable",
"data": {
"_groupingLimit": "0",
"_limit": "25",
"_lowerTs": 1770876000,
"_offset": "0",
"_outputType": "highcharts",
"_upperTs": 1771538116,
"allowDatasourceSelection": true,
"automateFields": [],
"automate_table_resource": {
"filter_options": []
},
"datasource": "assurance",
"datasourceInstance": null,
"drilldowns": {
"drilldownFields": [],
"drilldownOption": 0,
"filterOption": "IN",
"modelType": "data/AssuranceArbitratorAlertLogTrend"
},
"fieldDisplayOption": null,
"fields": [
{
"guid": "7fab7cb4",
"headerName": "Policy Name",
"operation": "Grouping Count",
"ruleName": "POLICY_NAME",
"ruleType": 0,
"ruleTypeString": "Text",
"valueType": 0
}
],
"filters": [],
"interval": 3,
"resource": "Assurance Arbitrator Alert Log Trend",
"settings": {
"autoAdjustColumns": 0,
"renderers": [
{
"allowEmpty": false,
"allowTruthy": false,
"bbType": 0,
"city": "",
"dateType": 1,
"factor": 1,
"floatPrecision": 2,
"fontSize": 12,
"fontWeight": "normal",
"formatType": 0,
"guid": "7fab7cb4",
"numType": 0,
"numberBase": "Base 10 (1000)",
"prefix": "",
"region": "",
"ruleName": "POLICY_NAME",
"ruleType": 0,
"suffix": "",
"valueType": 0
},
{
"allowEmpty": false,
"allowTruthy": false,
"bbType": 0,
"city": "",
"dateType": 1,
"factor": 1,
"floatPrecision": 2,
"fontSize": 12,
"fontWeight": "normal",
"formatType": 0,
"guid": "7fab7cb4",
"numType": 0,
"numberBase": "Base 10 (1000)",
"prefix": "",
"region": "",
"ruleName": "POLICY_NAME",
"suffix": ""
}
],
"selectionType": 0,
"sorting": 0,
"useDayPagination": false
},
"sorts": [],
"timezone": "America/Chicago",
"title": "Policies Firing",
"type": 16
}
},
{
"alignmentData": {
"cols": 11,
"rows": 6,
"x": 12,
"y": 16
},
"type": "chart-column",
"modelType": "data/DashboardWidgetChartColumn",
"data": {
"_groupingLimit": "10",
"_limit": 0,
"_lowerTs": 1770876000,
"_offset": 0,
"_outputType": "highcharts",
"_upperTs": 1771538116,
"allowDatasourceSelection": true,
"datasource": "assurance",
"datasourceInstance": null,
"drilldowns": {
"drilldownFields": [],
"drilldownOption": 0,
"filterOption": "IN"
},
"fields": [
{
"guid": "111ecf61c",
"headerName": "Policy Name",
"operation": "Grouping Count",
"ruleName": "POLICY_NAME",
"ruleType": 0,
"ruleTypeString": "Text",
"valueType": 0
}
],
"filters": [],
"interval": 3,
"resource": "Assurance Arbitrator Alert Log Trend",
"settings": {
"axisXType": 0,
"isHorizontal": true,
"label_font_size": 11,
"label_font_weight": "bold",
"legendPlacement": "bottom",
"legend_font_size": 11,
"legend_font_weight": "normal",
"numericPrecision": 0,
"showLabels": true,
"showLegend": true,
"stackType": 0
},
"sorts": [],
"timezone": "America/Chicago",
"title": "Firing Policies",
"type": 1
}
},
{
"alignmentData": {
"cols": 12,
"rows": 7,
"x": 0,
"y": 22
},
"type": "table",
"modelType": "data/DashboardWidgetTable",
"data": {
"_groupingLimit": "0",
"_limit": "25",
"_lowerTs": 1770876000,
"_offset": "0",
"_outputType": "highcharts",
"_upperTs": 1771538116,
"allowDatasourceSelection": true,
"automateFields": [],
"automate_table_resource": {
"filter_options": []
},
"datasource": "assurance",
"datasourceInstance": null,
"drilldowns": {
"drilldownFields": [],
"drilldownOption": 0,
"filterOption": "IN",
"modelType": "data/AssuranceArbitratorAlertLogTrend"
},
"fieldDisplayOption": null,
"fields": [
{
"guid": "7fab7cb4",
"headerName": "Rule Name",
"operation": "Grouping Count",
"ruleName": "RULE_NAME",
"ruleType": 0,
"ruleTypeString": "Text",
"valueType": 0
},
{
"guid": "14e71d90a"
}
],
"filters": [],
"interval": 3,
"resource": "Assurance Arbitrator Alert Log Trend",
"settings": {
"autoAdjustColumns": 0,
"renderers": [
{
"allowEmpty": false,
"allowTruthy": false,
"bbType": 0,
"city": "",
"dateType": 1,
"factor": 1,
"floatPrecision": 2,
"fontSize": 12,
"fontWeight": "normal",
"formatType": 0,
"guid": "7fab7cb4",
"numType": 0,
"numberBase": "Base 10 (1000)",
"prefix": "",
"region": "",
"ruleName": "RULE_NAME",
"ruleType": 0,
"suffix": "",
"valueType": 0
},
{
"allowEmpty": false,
"allowTruthy": false,
"bbType": 0,
"city": "",
"dateType": 1,
"factor": 1,
"floatPrecision": 2,
"fontSize": 12,
"fontWeight": "normal",
"formatType": 0,
"guid": "7fab7cb4",
"numType": 0,
"numberBase": "Base 10 (1000)",
"prefix": "",
"region": "",
"ruleName": "POLICY_NAME",
"suffix": ""
},
{
"allowEmpty": false,
"allowTruthy": false,
"bbType": 0,
"city": "",
"dateType": 1,
"factor": 1,
"floatPrecision": 2,
"fontSize": 12,
"fontWeight": "normal",
"formatType": 0,
"guid": "14e71d90a",
"numType": 0,
"numberBase": "Base 10 (1000)",
"prefix": "",
"region": "",
"suffix": ""
}
],
"selectionType": 0,
"sorting": 0,
"useDayPagination": false
},
"sorts": [],
"timezone": "America/Chicago",
"title": "Alarm Rules Triggered",
"type": 16
}
},
{
"alignmentData": {
"cols": 11,
"rows": 7,
"x": 12,
"y": 22
},
"type": "chart-column",
"modelType": "data/DashboardWidgetChartColumn",
"data": {
"_groupingLimit": "10",
"_limit": 0,
"_lowerTs": 1770876000,
"_offset": 0,
"_outputType": "highcharts",
"_upperTs": 1771538116,
"allowDatasourceSelection": true,
"datasource": "assurance",
"datasourceInstance": null,
"drilldowns": {
"drilldownFields": [],
"drilldownOption": 0,
"filterOption": "IN"
},
"fields": [
{
"guid": "111ecf61c",
"headerName": "Rule Name",
"operation": "Grouping Count",
"ruleName": "RULE_NAME",
"ruleType": 0,
"ruleTypeString": "Text",
"valueType": 0
}
],
"filters": [],
"interval": 3,
"resource": "Assurance Arbitrator Alert Log Trend",
"settings": {
"axisXType": 0,
"isHorizontal": true,
"label_font_size": 11,
"label_font_weight": "bold",
"legendPlacement": "bottom",
"legend_font_size": 11,
"legend_font_weight": "normal",
"numericPrecision": 0,
"showLabels": true,
"showLegend": true,
"stackType": 0
},
"sorts": [],
"timezone": "America/Chicago",
"title": "Rules Triggered",
"type": 1
}
}
],
"pkid": "69ee39cc62dfd021865c42d9",
"hierarchy_friendly_name": "hcs (Hcs)",
"hierarchy_path": "sys.hcs"
},
"meta": {
"model_type": "data/Dashboard",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "description",
"title": "Description"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [
"V4UC",
"ba_CommonOverlay"
],
"title": "All Alerts Overview",
"business_key": {
"unique": [
"name"
],
"hierarchy": true
},
"api_version": "21.2",
"cached": true,
"references": {
"parent": [
{
"pkid": "69ee359c62dfd021865bd21d",
"href": "/api/data/HierarchyNode/69ee359c62dfd021865bd21d"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [],
"owner": [
{
"pkid": ""
}
],
"self": [
{
"href": "/api/data/Dashboard/69ee39cc62dfd021865c42d8/",
"pkid": "69ee39cc62dfd021865c42d8"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee359c62dfd021865bd21d",
"69ee39cc62dfd021865c42d8"
],
"schema_version": "0.9",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/Dashboard/69ee39cc62dfd021865c42d8/",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/Dashboard/69ee39cc62dfd021865c42d8/",
"support_async": true,
"title": "Delete"
}
},
{
"clone": {
"method": "GET",
"class": "clone",
"href": "/api/data/Dashboard/69ee39cc62dfd021865c42d8/clone/?schema=&schema_rules=true",
"support_async": false,
"title": "Clone"
}
},
{
"import": {
"method": "POST",
"class": "import",
"href": "/api/data/Dashboard/69ee39cc62dfd021865c42d8/import/",
"support_async": true,
"title": "Import"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/Dashboard/69ee39cc62dfd021865c42d8/export/",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/",
"submit": "payload"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/Dashboard/69ee39cc62dfd021865c42d8/+tag/",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/Dashboard/69ee39cc62dfd021865c42d8/",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/Dashboard/69ee39cc62dfd021865c42d8/help",
"support_async": false,
"title": "Help"
}
},
{
"export_dashboard_data": {
"method": "POST",
"class": "custom",
"href": "/api/data/Dashboard/69ee39cc62dfd021865c42d8/+export_dashboard_data/",
"support_async": true,
"title": "Export Dashboard Data"
}
}
],
"summary": "false"
},
"pkid": "69ee39cc62dfd021865c42d8"
},
{
"data": {
"name": "Automate - Additional Admin Functions - Admin Tools",
"description": "General tools, file access and information",
"default_date_range": {
"range": "Last 7 Days",
"_lowerTs": 1764745200,
"_upperTs": 1765400836,
"fromFriendlyString": "Dec 03 2025 12:00:00 am",
"toFriendlyString": "Dec 10 2025 02:07:16 pm"
},
"widgets": [
{
"alignmentData": {
"cols": 10,
"rows": 3,
"x": 0,
"y": 0
},
"type": "links",
"modelType": "data/DashboardWidgetLinks",
"data": {
"_lowerTs": 1764745200,
"_upperTs": 1765401604,
"links": [
{
"display": "list",
"icon": "format_list_numbered",
"link_text": "Transaction Log",
"type": "tool/Transaction"
},
{
"description": "Update the system settings ",
"display": "form",
"icon": "settings_applications",
"link_text": "Transactions Log Level Configuration",
"type": "view/DataSettings"
},
{
"display": "form",
"icon": "cloud_upload",
"link_text": "Bulk Load",
"type": "tool/BulkLoad"
},
{
"display": "list",
"icon": "warning",
"link_text": "Alerts",
"type": "data/Alert"
},
{
"display": "form",
"icon": "arrow_upward",
"link_text": "Import",
"type": "tool/DataImport"
},
{
"description": "Interface to test and/or run macros in the portal to see results",
"display": "form",
"icon": "data_usage",
"link_text": "Macro Evaluator",
"type": "tool/Macro"
},
{
"description": "Setup dashboards for export, include as part of scheduled reports",
"display": "list",
"icon": "import_export",
"link_text": "Dashboard Exports",
"type": "data/DashboardExport"
},
{
"description": "Setup scheduled reports and other system actions - View status of all schedules",
"display": "list",
"icon": "history",
"link_text": "Schedules",
"type": "data/Schedule"
}
],
"timezone": "America/Denver",
"title": "General Tools"
}
},
{
"alignmentData": {
"cols": 10,
"rows": 3,
"x": 10,
"y": 0
},
"type": "links",
"modelType": "data/DashboardWidgetLinks",
"data": {
"_lowerTs": 1764745200,
"_upperTs": 1765401604,
"links": [
{
"display": "list",
"icon": "file_upload",
"link_text": "File Management",
"type": "data/File"
},
{
"display": "list",
"field_display_policy": "CertFDP",
"icon": "verified_user",
"link_text": "Certificate Management",
"type": "data/Certificate"
},
{
"display": "list",
"icon": "message",
"link_text": "User Management logs",
"type": "data/HcsUserManagementLogDAT"
},
{
"display": "form",
"icon": "report",
"link_text": "Create Model Report",
"type": "view/ModelReportVIEW"
},
{
"display": "list",
"icon": "bug_report",
"link_text": "Model Report Results",
"type": "data/ModelReport"
}
],
"timezone": "America/Denver",
"title": "Files and Logs"
}
},
{
"alignmentData": {
"cols": 10,
"rows": 3,
"x": 0,
"y": 3
},
"type": "links",
"modelType": "data/DashboardWidgetLinks",
"data": {
"_lowerTs": 1764745200,
"_upperTs": 1765401604,
"condition": "(( fn.authorized_admin_allowed_hierarchy_level Customer == fn.true ))",
"description": "Easy Overbuild functionality for related to the overbuild of UC related elements in the system. Completes overbuild based on fixed rules in the system for moving UC and related elements.",
"links": [
{
"configurable_options": [],
"description": "Overview counts of UC service resources in the system and to see elements that may need to run through overbuild",
"display": "form",
"filter_options": [],
"icon": "view_comfy",
"link_text": "UC Overbuild Overview",
"type": "view/OverbuildOverview"
},
{
"configurable_options": [],
"description": "View site default values to see and adjust overbuild settings for the site",
"display": "list",
"filter_options": [],
"icon": "business_center",
"link_text": "Site Defaults",
"type": "data/SiteDefaultsDoc"
},
{
"configurable_options": [],
"description": "Run the UC (easy) overbuild tool to move resources",
"display": "form",
"filter_options": [],
"icon": "play_arrow",
"link_text": "Run UC Overbuild",
"type": "view/EasyOverbuild"
},
{
"condition": "{{ macro.is_cisco_cucm_enabled }}",
"configurable_options": [],
"description": "Run the analog gateway specific tool to move analog gateway resources",
"display": "form",
"filter_options": [],
"icon": "play_arrow",
"link_text": "Run Analogue Gateway Overbuild",
"type": "view/GS_AGW_overbuild_VIEW"
},
{
"condition": "{{ macro.is_cisco_cucm_enabled }}",
"configurable_options": [],
"description": "Run dial plan specific overbuild tool",
"display": "form",
"filter_options": [],
"icon": "play_arrow",
"link_text": "Run Dial-Plan Overbuild",
"type": "view/MKI_DialPlan_Overbuild_View"
},
{
"condition": "{{ macro.is_cisco_cucm_enabled }}",
"configurable_options": [],
"description": "Review the dial plan queries for overbuild",
"display": "list",
"filter_options": [
{
"filterValue": "Overbuild_Search_Queries",
"filter_by": "name",
"ignore_case": true,
"operation": "contains"
}
],
"icon": "question_answer",
"link_text": "Dial-Plan Overbuild Search Queries",
"type": "data/BrownField"
},
{
"condition": "{{ macro.is_cisco_cucm_enabled }}",
"configurable_options": [],
"description": "Tool to run and fix user and phone association",
"display": "form",
"filter_options": [],
"icon": "build",
"link_text": "Fix User Phone Associate Tool",
"type": "view/FixUserAssociateDevices"
},
{
"configurable_options": [],
"description": "Move User advanced feature to move user (without services) to a different hierarchy. If moving a user with services - use the Move User on the related user dashboards.",
"display": "list",
"filter_options": [],
"icon": "arrow_downward",
"link_text": "Move user (without Services)",
"type": "view/HcsMoveUsersVIEW"
}
],
"timezone": "America/Denver",
"title": "UC Overbuild Tools"
}
},
{
"alignmentData": {
"cols": 10,
"rows": 3,
"x": 10,
"y": 3
},
"type": "links",
"modelType": "data/DashboardWidgetLinks",
"data": {
"_lowerTs": 1764745200,
"_upperTs": 1765402083,
"description": "Tool for the flexible overbuild of of resources in the system based on rules defined in the model filter criteria. Typically used for non-UC use cases however not limited to this.",
"links": [
{
"configurable_options": [],
"display": "form",
"filter_options": [],
"icon": "arrow_downward",
"link_text": "Run Overbuild by Model Filter Criteria",
"type": "view/Overbuild"
},
{
"configurable_options": [],
"display": "list",
"filter_options": [
{
"filterValue": "Overbuild",
"filter_by": "usage",
"operation": "equals"
}
],
"icon": "filter_list",
"link_text": "Overbuild Model Filter Criteria",
"type": "data/ModelFilterCriteria"
}
],
"timezone": "America/Denver",
"title": "General Overbuild"
}
}
],
"pkid": "69ee39ce62dfd021865c432d",
"hierarchy_friendly_name": "hcs (Hcs)",
"hierarchy_path": "sys.hcs"
},
"meta": {
"model_type": "data/Dashboard",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "description",
"title": "Description"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [
"V4UC",
"ba_CommonOverlay",
"V4UC",
"ba_CommonOverlay"
],
"title": "Automate - Additional Admin Functions - Admin Tools",
"business_key": {
"unique": [
"name"
],
"hierarchy": true
},
"api_version": "21.2",
"cached": true,
"references": {
"parent": [
{
"pkid": "69ee359c62dfd021865bd21d",
"href": "/api/data/HierarchyNode/69ee359c62dfd021865bd21d"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [],
"owner": [
{
"pkid": ""
}
],
"self": [
{
"href": "/api/data/Dashboard/69ee39ce62dfd021865c432c/",
"pkid": "69ee39ce62dfd021865c432c"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee359c62dfd021865bd21d",
"69ee39ce62dfd021865c432c"
],
"schema_version": "0.9",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/Dashboard/69ee39ce62dfd021865c432c/",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/Dashboard/69ee39ce62dfd021865c432c/",
"support_async": true,
"title": "Delete"
}
},
{
"clone": {
"method": "GET",
"class": "clone",
"href": "/api/data/Dashboard/69ee39ce62dfd021865c432c/clone/?schema=&schema_rules=true",
"support_async": false,
"title": "Clone"
}
},
{
"import": {
"method": "POST",
"class": "import",
"href": "/api/data/Dashboard/69ee39ce62dfd021865c432c/import/",
"support_async": true,
"title": "Import"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/Dashboard/69ee39ce62dfd021865c432c/export/",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/",
"submit": "payload"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/Dashboard/69ee39ce62dfd021865c432c/+tag/",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/Dashboard/69ee39ce62dfd021865c432c/",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/Dashboard/69ee39ce62dfd021865c432c/help",
"support_async": false,
"title": "Help"
}
},
{
"export_dashboard_data": {
"method": "POST",
"class": "custom",
"href": "/api/data/Dashboard/69ee39ce62dfd021865c432c/+export_dashboard_data/",
"support_async": true,
"title": "Export Dashboard Data"
}
}
],
"summary": "false"
},
"pkid": "69ee39ce62dfd021865c432c"
}
]
}
(Show the first instance)
{
"data": {
"name": "admin_dashboard",
"widgets": [
{
"alignmentData": {
"cols": 5,
"rows": 5,
"x": 10,
"y": 0
},
"type": "links",
"modelType": "data/DashboardWidgetLinks",
"data": {
"title": "Network Management",
"links": [
{
"link_text": "Manage Cisco Call Managers",
"display": "list",
"type": "data/CallManager",
"filter_options": [],
"configurable_options": []
},
{
"link_text": "Manage Cisco Unity Connection",
"display": "list",
"type": "data/UnityConnection",
"filter_options": [],
"configurable_options": []
}
],
"timezone": "Africa/Johannesburg"
}
},
{
"alignmentData": {
"cols": 5,
"rows": 5,
"x": 5,
"y": 0
},
"type": "links",
"modelType": "data/DashboardWidgetLinks",
"data": {
"title": "Dialplan Management",
"links": [
{
"link_text": "Manage Partitions",
"display": "list",
"type": "device/cucm/RoutePartition",
"filter_options": [],
"configurable_options": []
},
{
"link_text": "Manage Calling Search Spaces",
"display": "list",
"type": "device/cucm/Css",
"filter_options": [],
"configurable_options": []
}
],
"timezone": "Africa/Johannesburg"
}
},
{
"alignmentData": {
"cols": 5,
"rows": 5,
"x": 0,
"y": 0
},
"type": "links",
"modelType": "data/DashboardWidgetLinks",
"data": {
"title": "Site Management",
"links": [
{
"link_text": "Manage Subscribers",
"icon": "people",
"display": "list",
"type": "device/cucm/User",
"filter_options": [],
"configurable_options": []
},
{
"link_text": "Manage Users",
"icon": "people",
"display": "list",
"type": "data/User",
"filter_options": [],
"configurable_options": []
}
],
"timezone": "Africa/Johannesburg"
}
}
],
"pkid": "69ee2ebc76a8a1f92ddfdec9"
},
"meta": {
"model_type": "data/Dashboard",
"summary_attrs": [
{
"name": "name",
"title": "Name"
},
{
"name": "description",
"title": "Description"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [
"base",
"core",
"dashboard"
],
"title": "admin_dashboard",
"business_key": {
"unique": [
"name"
],
"hierarchy": true
},
"api_version": "21.2",
"cached": false,
"references": {
"parent": [
{
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101",
"pkid": "6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [],
"owner": [
{
"pkid": ""
}
],
"children": [],
"self": [
{
"href": "/api/data/Dashboard/69ee2ebc76a8a1f92ddfdec8/",
"pkid": "69ee2ebc76a8a1f92ddfdec8"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee2ebc76a8a1f92ddfdec8"
],
"schema_version": "0.9",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/Dashboard/69ee2ebc76a8a1f92ddfdec8/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/Dashboard/69ee2ebc76a8a1f92ddfdec8/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Delete"
}
},
{
"clone": {
"method": "GET",
"class": "clone",
"href": "/api/data/Dashboard/69ee2ebc76a8a1f92ddfdec8/clone/?hierarchy=[hierarchy]&schema=&schema_rules=true",
"support_async": false,
"title": "Clone"
}
},
{
"import": {
"method": "POST",
"class": "import",
"href": "/api/data/Dashboard/69ee2ebc76a8a1f92ddfdec8/import/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Import"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/Dashboard/69ee2ebc76a8a1f92ddfdec8/export/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/?auth_token=[authtoken],
"submit": "payload"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/Dashboard/69ee2ebc76a8a1f92ddfdec8/+tag/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/?auth_token=[authtoken]
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/Dashboard/69ee2ebc76a8a1f92ddfdec8/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/Dashboard/69ee2ebc76a8a1f92ddfdec8/help?hierarchy=[hierarchy]",
"support_async": false,
"title": "Help"
}
},
{
"export_dashboard_data": {
"method": "POST",
"class": "custom",
"href": "/api/data/Dashboard/69ee2ebc76a8a1f92ddfdec8/+export_dashboard_data/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Export Dashboard Data"
}
}
]
},
"pkid": "69ee2ebc76a8a1f92ddfdec8"
}
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get the on-line Help for data/Dashboard. | GET | /api/data/Dashboard/help | hierarchy=[hierarchy] | On-line help of Model ref.: data/Dashboard as HTML |
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Modify | PUT | /api/data/Dashboard/[pkid] | hierarchy=[hierarchy] | (For payload specification) |
For Bulk modification, refer to the Bulk Modify section.
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Delete | DELETE | /api/data/Dashboard/[pkid] | hierarchy=[hierarchy] |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Clone instance with [pkid]. The schema rules are applied. | GET | /api/data/Dashboard/[pkid]/clone/?schema=&schema_rules=true |
|
A JSON payload with:
|
GET http://[host-proxy]/api/data/Dashboard/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Import | POST | /api/data/Dashboard/[pkid]/import | hierarchy=[hierarchy] | If payload required: |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get a selected [export_format] of the schema and a single instance with [pkid] of data/Dashboard; optionally with tag_version at [version] and Configuration Template as [configtemplate]. | GET | /api/data/Dashboard/[pkid]/export |
|
The response is an attachment. Refer to the list below. |
For export_format=raw_xlsx, the response is a "raw" MS Excel spreadsheet with columns corresponding to the JSON format export and a response format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=xlsx, the response is a MS Excel spreadsheet, formatted to show all columns and a response format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_formatted_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=json, the response is a time stamped zip file of data in JSON and a response format:
Content-Disposition: attachment; filename=export_2013-05-17_14:20:19.186444.json.zip
Content-Language:en
Content-Type:application/x-zip
The XLSX format can be used to bulk load instances of data/Dashboard and the JSON format can be used to import instances of data/Dashboard.
For Bulk Export, refer to the Bulk Export section.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Tag | PATCH | /api/data/Dashboard/[pkid]/+tag | hierarchy=[hierarchy] | If payload required: |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get | GET | /api/data/Dashboard/[pkid] | hierarchy=[hierarchy] | The data/Dashboard instance with [pkid]. |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Help | GET | /api/data/Dashboard/[pkid]/help | hierarchy=[hierarchy] | The on-line Help for data/Dashboard. |
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Export Dashboard Data | POST | /api/data/Dashboard/[pkid]/+export_dashboard_data | hierarchy=[hierarchy] | If payload required: |